:root {
  font-family: Inter, Avenir, Helvetica, Arial, sans-serif;
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;

  color: #f6f6f6;
  background-color: #2f2f2f;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

body {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

.container {
  margin: 1rem;
  padding-top: 10vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  position: relative;
}

.logo {
  height: 6em;
  padding: 1.5em;
  will-change: filter;
  transition: 0.75s;
}

.logo:hover {
  filter: drop-shadow(0 0 2em #24c8db);
}

.row {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  margin-top: 30px;
}

.row > input {
  width: 30%;
}

.row .action {
  display: flex;
  gap: 20px;
}

.container img.theme {
  position: absolute;
  top: 0;
  right: 0;
  width: 52px;
  cursor: pointer;
}

.inverted {
  filter: invert(1);
}

.inverted .theme {
  filter: invert(1);
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}

a:hover {
  color: #535bf2;
}

h1 {
  text-align: center;
}

input,
button {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  color: #ffffff;
  background-color: #0f0f0f98;
  transition: border-color 0.25s;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.2);
}

button {
  cursor: pointer;
}

button:not(:disabled):hover {
  border-color: #396cd8;
}

button:not(:disabled):active {
  border-color: #396cd8;
  background-color: #0f0f0f69;
}

button:disabled {
  background-color: #c7c7c7;
  color: #797979;
  cursor: not-allowed; /* Makes it clear that the button is not clickable */
}

input,
button {
  outline: none;
}

input[type="number"] {
  padding: 0.6em 0 0.6em 1.2em;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  height: 2.5rem;
  width: 2.5rem;
}

input[type="number"]::-webkit-textfield-decoration-container {
  display: flex;
  align-items: center;
  content: none;
  justify-content: space-between;
}

@media only screen and (max-height: 560px) {
  .container {
    padding-top: initial;
  }
}

@media only screen and (max-height: 500px) {
  .container {
    padding-top: initial;
  }

  img.logo {
    display: none;
  }
}